/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef VPN_ITEM_H
#define VPN_ITEM_H

#include <QListWidgetItem>

class VpnItem: public QListWidgetItem
{
public:
	VpnItem(QListWidget *parent = 0);
	VpnItem(const QString &path, const QString &name, QListWidget *parent = 0);
	
	bool isConnected();
	void setIsConnected(bool connected);
	
	bool isLock();
	void setIsLock(bool lock);
	
	QString& confName();
	QString& confFilePath();
	void setConfFilePath(const QString &path, const QString &name);
	
	QString& sTokenVpnName();
	void setSTokenVpnName(const QString &name);
	
	QString& remoteVpnServer();
	void setRemoteVpnServer(const QString &server);
	
	QString& remoteVpnPort();
	void setRemoteVpnPort(const QString &port);
	
	QString& caCertFileName();
	void setCaCertFileName(const QString &name);
	
	QString& userCertFileName();
	void setUserCertFileName(const QString &name);
	
	QString& key();
	void setKey(const QString &name);
	
private:
	bool mIsConnected;
	bool mIsLock;
	
	QString mConfName;
	QString mConfFilePath;
	QString mSTokenVpnName;
	
	QString mRemoteVpnServer;
	QString mRemoteVpnPort;
	
	QString mCaCertFileName;
	QString mUserCertFileName;
	
	QString mKey;
	
};

#endif
